<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "narration";
$formname = "Narration Print";
$file = "narraion_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
//mysqli_select_db($conn,$zdb);

if (isset($_POST["view"])) {
    $narr = $_POST[narr];



    $narrcond = "";

    if (!empty($narr)) {
        $narrcond = " AND `code`='$narr' ";
    }

    $getpmain = mysqli_query($conn,"SELECT * FROM `$maindb` WHERE code !='' $narrcond ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr  style="background-color: #64CCFC">
                            <th>Sr</th>
                            <th>Narration</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[narr1] $pmain[narr2]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}

if (isset($_POST["excel"])) {

 $narr = $_POST[narr];



    $narrcond = "";

    if (!empty($narr)) {
        $narrcond = " AND `code`='$narr' ";
    }

    $getpmain = mysqli_query($conn,"SELECT * FROM `$maindb` WHERE code !='' $narrcond ")or die(mysqli_error($conn));

    include 'includes/head_rep_excel.php';
    

    $contents = "Sr.No,Narration,\n";
    
    
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents.=$ctr . ",";
        $pnarration = $pmain[narr1] . " " . $pmain[narr2];
        $contents.=$pnarration . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);
    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>